Loading...
 
Architecture / Installation

Architecture / Installation


PHP 8.0 issues

posts: 22 Lithuania
Walter Whitman wrote:

Upgrading PHP from version 7.4 to 8.0 causes some issues in TikiWiki 22.1.

Most everything on the site seems to work for the most part, at least to the users.


Very good news!

Walter Whitman wrote:

Upgrading PHP from version 7.4 to 8.0 causes some issues in TikiWiki 22.1.

I need PHP 8.0 for my other sites I am working on, so I can not switch back to PHP 7.4.


Not to confuse other users - it is not a must to have PHP 8.0 for all of your sites.
Eg I have got wordpress sites with PHP 8.0 and Tiki sites working with php 7.4 in parallel. Using FPM, btw. They work with either apache or nginx. Or, best, combined with proxies. I prefer nginx for frontend lately because it gives extra easy configuration for throttling requests.

Regards, Aris